@kandy-io/sdp-handlers

    1.1.0 • Public • Published

    sdp-handlers

    This package contains a collection of SDP Handlers that can be used with the Kandy.js WebRTC SDK to allow applications to make custom modifications to the SDP at different stages.

    Compatiblity

    The SDP handlers in this library are compatible with Kandy.js version 4.x and above.

    Installation

    Add the package as a dependency in your project using npm:

    npm install @kandy-io/sdp-handlers
    

    or with yarn:

    yarn add @kandy-io/sdp-handlers
    

    Usage

    Import the desired SDP Handler:

    import { createCodecRemover } from '@kandy-io/sdp-handlers'
    

    Add the SDP Handler as part of the call configuration in the Kandy.js SDK create API:

    kandy.create({
      ...,
      call: {
        ...,
        sdpHandlers: [
          createCodecRemover(['VP8'])
        ]
      }
    })
    

    or by using the call.setSdpHandlers API after kandy has been created:

    kandy.call.setSdpHandlers([
      createCodecRemover(['VP8'])
    ])
    

    Keywords

    none

    Install

    npm i @kandy-io/sdp-handlers

    DownloadsWeekly Downloads

    37

    Version

    1.1.0

    License

    MIT

    Unpacked Size

    14.5 kB

    Total Files

    8

    Last publish

    Collaborators

    • kandy.io
    • reddystar